#!/bin/sh

# /proc/$pid/task/$tasknum/stack has backtraces that include kernel methods

if [ $# -ne 1 ]; then
  echo "$0 pid"
  exit 1
fi

OS=`uname`
case $OS in 
  Linux)
      for task in /proc/$1/task/*; do echo -en "Task: $(basename $task) " && cat $task/stack | awk '{print $2'}| tr '\n' '>' && echo; done
      ;;
  *) 
     true ;;
esac


